Package org.apache.sling.distribution.journal.queue

# Class QueueState

java.lang.Object
org.apache.sling.distribution.journal.queue.QueueState

public class QueueState extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueueState(long lastProcessedOffset, int headRetries, int maxRetries, ClearCallback clearCallback)`

## Method Summary

Modifier and Type
Method
Description
`ClearCallback`
`getClearCallback()`
`int`
`getHeadRetries()`
`long`
`getLastProcessedOffset()`
`int`
`getMaxRetries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueueState

public QueueState(long lastProcessedOffset, int headRetries, int maxRetries, ClearCallback clearCallback)

## Method Details

### getLastProcessedOffset

public long getLastProcessedOffset()

### getHeadRetries

public int getHeadRetries()

### getMaxRetries

public int getMaxRetries()

### getClearCallback

public ClearCallback getClearCallback()